%define name GiNaC
%define ftp_name ginac
%define version 1.3.3
%define release %mkrel 3

%define major 0
%define api_version 1.3

%define lcname ginac
%define libname_basic lib%{lcname}%{api_version}
%define libname %mklibname %{lcname} %{api_version} %{major}

Summary:	C++ class library for symbolic calculations
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
Source:		ftp://ftpthep.physik.uni-mainz.de/pub/GiNaC/%{ftp_name}-%{version}.tar.bz2
URL:		http://www.ginac.de/
Requires(post):	info-install
Requires(preun):info-install
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cln-devel >= 1.1.0
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel

%description
GiNaC is Not a Cocktail.

GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.


%package -n	%{libname}
Summary:	C++ class library for symbolic calculations
Group:		Sciences/Mathematics
Provides:	%{libname_basic} = %{version}-%{release}

%description -n	%{libname}
GiNaC is Not a Cocktail.

GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

This package provides the core GiNaC libraries.


%package -n	%{libname}-devel
Summary:	Libraries, includes and more to develop GiNaC applications
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{libname_basic}-devel = %{version}-%{release}
Provides:	%{lcname}-devel = %{version}-%{release}
Provides:	lib%{lcname}-devel = %{version}-%{release}

%description -n	%{libname}-devel
GiNaC is Not a Cocktail.

GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

This is the libraries, include files and other resources you can use
to develop GiNaC applications.


%package	utils
Summary:	GiNaC-related utilities
Group:		Sciences/Mathematics
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}

%description	utils
GiNaC is Not a Cocktail.

GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

This package includes the ginsh ("GiNaC interactive shell") which
provides a simple and easy-to-use CAS-like interface to GiNaC for
non-programmers, and the tool "viewgar" which displays the contents
of GiNaC archives.

%prep
%setup -q -n %{ftp_name}-%version

%build
%configure2_5x
%make
%make check

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/ginac-config

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info ginac.info

%preun -n %{libname}-devel
%_remove_install_info ginac.info


%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog
%{_bindir}/ginac-config
%{multiarch_bindir}/ginac-config
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_infodir}/*.info*
%{_mandir}/man1/ginac-config.1*

%files utils
%defattr(-,root,root)
%{_bindir}/ginsh
%{_bindir}/viewgar
%{_mandir}/man1/ginsh.1*
%{_mandir}/man1/viewgar.1*

%changelog
* Fri Mar 17 2006 Lenny Cartier <lenny@mandriva.com> 1.3.3-3mdk
- rebuild for libcln dependency

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 1.3.3-2mdk
- rebuild to fix libcln dependency
- add some devel provides

* Tue Dec 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-1mdk
- New release 1.3.3
- use mkrel
- Fix PreReq

* Sun Apr 03 2005 Abel Cheung <deaddog@mandrake.org> 1.3.0-3mdk
- Rebuild & multiarch

* Tue Dec 28 2004 Abel Cheung <deaddog@mandrake.org> 1.3.0-2mdk
- Cleanup this beautified crap, at least make sure devel package
  is usable

* Mon Oct 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0

* Wed Oct 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Sat Aug 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.3-2mdk 
- %major in include path
- provide icons in the 2 sizes
- fix distlint DIRM
- fix menu capitalisation

* Fri Aug 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Wed Aug 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Tue Jun 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-2mdk
- rebuild
- %%mklibname

* Mon Jun 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Thu Jan 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6

* Thu Nov 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5

* Fri Oct 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4
- fix naming

* Mon Aug 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Fri Apr 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-2mdk
- fix changelog

* Fri Apr 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Thu Mar 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14

* Thu Feb 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.13-1mdk
- 1.0.13

* Thu Jul 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-2mdk
- rebuild for new readline

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-2mdk
- add icon and menu entry

* Mon Apr 08 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- 1.0.8

* Tue Mar 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Tue Mar  5 2002 Thomas Leclerc <leclerc@linux-mandrake.com> 1.0.6-1mdk
- don't use standard optimization level, to avoid segfaults
- 1.0.6 (bugfix release)
- make check in build section
- rename GiNaC to GiNaC-utils ("Provides:" was inconsistent)
- Group: Sciences/Mathematics for GiNaC-utils

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-2mdk
- lib major is 1 now

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Thu Dec 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

* Thu Nov 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Wed Nov 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> 

* Thu Aug  9 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-1mdk
- first Mandrake release

* Thu Aug  9 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-0.4mdk
- BuildRequires: ncurses-devel

* Thu Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-0.3mdk
- BuildRequires: readline-devel

* Thu Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-0.2mdk
- apply library policy

* Tue Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-0.1mdk
- initial Mandrake build
- adapt spec file from source archive (macros)
- don't force libtoolize
